package com.lightinit.hsdataplatformresdir.entity;

import java.util.Date;

public class ResourceCatelog {
    private Long id;

    private Long parentId;

    private String catelogType;

    private String catelogCode;

    private String catelogName;

    private String catelogLevel;

    private Byte isOpen;

    private Byte isShare;

    private Byte isDataCatelog;

    private Byte isApiCatelog;

    private Byte isMicroappCatelog;

    private String catelogImg;

    private Integer viewOrder;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getCatelogType() {
        return catelogType;
    }

    public void setCatelogType(String catelogType) {
        this.catelogType = catelogType == null ? null : catelogType.trim();
    }

    public String getCatelogCode() {
        return catelogCode;
    }

    public void setCatelogCode(String catelogCode) {
        this.catelogCode = catelogCode == null ? null : catelogCode.trim();
    }

    public String getCatelogName() {
        return catelogName;
    }

    public void setCatelogName(String catelogName) {
        this.catelogName = catelogName == null ? null : catelogName.trim();
    }

    public String getCatelogLevel() {
        return catelogLevel;
    }

    public void setCatelogLevel(String catelogLevel) {
        this.catelogLevel = catelogLevel == null ? null : catelogLevel.trim();
    }

    public Byte getIsOpen() {
        return isOpen;
    }

    public void setIsOpen(Byte isOpen) {
        this.isOpen = isOpen;
    }

    public Byte getIsShare() {
        return isShare;
    }

    public void setIsShare(Byte isShare) {
        this.isShare = isShare;
    }

    public Byte getIsDataCatelog() {
        return isDataCatelog;
    }

    public void setIsDataCatelog(Byte isDataCatelog) {
        this.isDataCatelog = isDataCatelog;
    }

    public Byte getIsApiCatelog() {
        return isApiCatelog;
    }

    public void setIsApiCatelog(Byte isApiCatelog) {
        this.isApiCatelog = isApiCatelog;
    }

    public Byte getIsMicroappCatelog() {
        return isMicroappCatelog;
    }

    public void setIsMicroappCatelog(Byte isMicroappCatelog) {
        this.isMicroappCatelog = isMicroappCatelog;
    }

    public String getCatelogImg() {
        return catelogImg;
    }

    public void setCatelogImg(String catelogImg) {
        this.catelogImg = catelogImg == null ? null : catelogImg.trim();
    }

    public Integer getViewOrder() {
        return viewOrder;
    }

    public void setViewOrder(Integer viewOrder) {
        this.viewOrder = viewOrder;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }
}